import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

public class Key extends Actor
{
    private GreenfootImage imageUp;
    private GreenfootImage imageDown;
    private boolean isDown=false;
    private String key;
    private String soundFile;
    
    /**
     * Create a new key.
     */
    public Key(String keyName, String soundFileName, String imageFileUp, String imageFileDown)
    {
        imageUp=new GreenfootImage(imageFileUp);
        imageDown=new GreenfootImage(imageFileDown);
        setImage(imageUp);
        key=keyName;
        soundFile=soundFileName;
    }

    /**
     * Do the action for this key.
     */
    public void act()
    {
        if(Greenfoot.isKeyDown(key) && !isDown){
            setImage(imageDown);
            Greenfoot.playSound(soundFile);
            isDown=true;
        }
        if (!Greenfoot.isKeyDown(key) && isDown){
            setImage(imageUp);
            isDown=false;
        }
    }
}